<?
//ȉ~̂ɂn\ʋvZ
//Dist($lat1,$lng1,$lat2,$lng2);

function Dist($lat1,$lng1,$lat2,$lng2){

	$lat1 = $lat1*pi()/180;$lng1 = $lng1*pi()/180;
	$lat2 = $lat2*pi()/180;$lng2 = $lng2*pi()/180;

	$A = 6378140;
	$B = 6356755;
	$e2 = (pow($A,2)-pow($B,2))/pow($A,2);

	$N1 = $A/sqrt(1-($e2)*pow(sin($lat1),2));
	$N2 = $A/sqrt(1-($e2)*pow(sin($lat2),2));
	$N  = ($N1 + $N2)/2;
	$dx = $N2*cos($lat2)*cos($lng2) - $N1*cos($lat1)*cos($lng1);
	$dy = $N2*cos($lat2)*sin($lng2) - $N1*cos($lat1)*sin($lng1);
	$dz = $N2*(1-$e2)*sin($lat2) - $N1*(1-$e2)*sin($lat1);
	$Rn = sqrt(pow($dx,2) + pow($dy,2) + pow($dz,2));

	$F  = asin((($Rn/2)/$N));

	$distance = 2*$N*$F;
	$distance = round($distance)/1000;//kmɕϊ

	return $distance;

}
?>